libgphoto2 (libgphoto2): libgphoto2_port/libgphoto2_port/gphoto2-port-result.h Source File

Main Page | Data Structures | Directories | File List | Data Fields | Globals | Related Pages

# gphoto2-port-result.h

    00001 /* gphoto2-port-result.h
    00002  *
    00003  * Copyright © 2001 Lutz Müller <lutz@users.sf.net>
    00004  *
    00005  * This library is free software; you can redistribute it and/or
    00006  * modify it under the terms of the GNU Lesser General Public
    00007  * License as published by the Free Software Foundation; either
    00008  * version 2 of the License, or (at your option) any later version.
    00009  *
    00010  * This library is distributed in the hope that it will be useful,
    00011  * but WITHOUT ANY WARRANTY; without even the implied warranty of
    00012  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    00013  * Lesser General Public License for more details.
    00014  *
    00015  * You should have received a copy of the GNU Lesser General Public
    00016  * License along with this library; if not, write to the
    00017  * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
    00018  * Boston, MA 02111-1307, USA.
    00019  */
    00020
    00021 #ifndef __GPHOTO2_PORT_RESULT_H__
    00022 #define __GPHOTO2_PORT_RESULT_H__
    00023
    00024 /* Return values. gphoto2-port should only return values from 0 to -99 */
    00025 #define GP_OK                            0
    00026 #define GP_ERROR                        -1
    00027 #define GP_ERROR_BAD_PARAMETERS         -2
    00028 #define GP_ERROR_NO_MEMORY              -3
    00029 #define GP_ERROR_LIBRARY                -4
    00030 #define GP_ERROR_UNKNOWN_PORT           -5
    00031 #define GP_ERROR_NOT_SUPPORTED          -6
    00032 #define GP_ERROR_IO                     -7
    00033
    00034 #define GP_ERROR_TIMEOUT                -10
    00035
    00036 #define GP_ERROR_IO_SUPPORTED_SERIAL    -20
    00037 #define GP_ERROR_IO_SUPPORTED_USB       -21
    00038
    00039 #define GP_ERROR_IO_INIT                -31
    00040 #define GP_ERROR_IO_READ                -34
    00041 #define GP_ERROR_IO_WRITE               -35
    00042 #define GP_ERROR_IO_UPDATE              -37
    00043
    00044 #define GP_ERROR_IO_SERIAL_SPEED        -41
    00045
    00046 #define GP_ERROR_IO_USB_CLEAR_HALT      -51
    00047 #define GP_ERROR_IO_USB_FIND            -52
    00048 #define GP_ERROR_IO_USB_CLAIM           -53
    00049
    00050 #define GP_ERROR_IO_LOCK                -60
    00051
    00052 #define GP_ERROR_HAL                    -70
    00053
    00054 const char *gp_port_result_as_string (int result);
    00055
    00056 #endif /* __GPHOTO2_PORT_RESULT_H__ */
    00057